package com.hcloud.microserver.bank.controller;

import com.hcloud.microserver.facade.carbon.entity.DayCarbonBO;
import com.hcloud.microserver.bank.service.WebIndexService;
import com.hcloud.microserver.commoncore.base.BaseController;
import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.facade.carbon.forms.DayCarbonFrom;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/webindex")
public class WebIndexController extends BaseController {

    @Autowired
    private WebIndexService webIndexService;

    @ApiOperation("当日碳汇量")
    @PostMapping("/dayCarbon")
    public ResultVO dayCarbon(@RequestBody DayCarbonFrom dayCarbonFrom) {
        DayCarbonBO dayCarbonBO = webIndexService.dayCarbon(dayCarbonFrom);
        return success(dayCarbonBO);
    }
}
